org.slf4j.impl

## Class StaticLoggerBinder

- java.lang.Object
- - org.slf4j.impl.StaticLoggerBinder

All Implemented Interfaces:
  org.slf4j.spi.LoggerFactoryBinder

    public class StaticLoggerBinder
    extends java.lang.Object
    implements org.slf4j.spi.LoggerFactoryBinder

The binding of `LoggerFactory` class with an actual instance of `ILoggerFactory` is performed using information returned by this class.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static java.lang.String` `REQUESTED_API_VERSION` Declare the version of the SLF4J API this implementation is compiled against.

### Method Summary

Methods
`org.slf4j.ILoggerFactory` `getLoggerFactory()`
`java.lang.String` `getLoggerFactoryClassStr()`
`static StaticLoggerBinder` `getSingleton()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REQUESTED_API_VERSION

    public static java.lang.String REQUESTED_API_VERSION

Declare the version of the SLF4J API this implementation is compiled against. The value of this field is usually modified with each release.

### Method Detail

#### getSingleton

    public static StaticLoggerBinder getSingleton()

#### getLoggerFactory

    public org.slf4j.ILoggerFactory getLoggerFactory()

Specified by:
  `getLoggerFactory` in interface `org.slf4j.spi.LoggerFactoryBinder`

#### getLoggerFactoryClassStr

    public java.lang.String getLoggerFactoryClassStr()

Specified by:
  `getLoggerFactoryClassStr` in interface `org.slf4j.spi.LoggerFactoryBinder`